package com.cosmodas.FacadeCosmos;

import com.cosmodas.EntCosmos.VPremiosSalas;

import javax.ejb.Stateless;
import javax.persistence.EntityManager;
import javax.persistence.PersistenceContext;
import javax.persistence.Query;
import java.util.List;

@Stateless
public class VPremiosSalasFacade extends AbstractFacade<VPremiosSalas> implements VpremiosSalasFacadeLocal {

    @PersistenceContext(unitName = "wcosmodasPersistent")
    private EntityManager em;

    public VPremiosSalasFacade() {
        super(VPremiosSalas.class);
    }

    @Override
    protected EntityManager getEntityManager() {
        return em;
    }
}
